Page MenuHomePhabricator

PHP Fatal Error: Argument 2 passed to TranslateHooks::onPageContentLanguage() must be an instance of Language, StubUserLang given
Closed, ResolvedPublic

Description

Error

Request ID: XEjKIQpAMFsAALQbGsoAAABW

message
PHP Fatal Error: Argument 2 passed to TranslateHooks::onPageContentLanguage() must be an instance of Language, StubUserLang given
trace
#0 /srv/mediawiki/php-1.33.0-wmf.14/includes/Hooks.php(174): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.33.0-wmf.14/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#2 /srv/mediawiki/php-1.33.0-wmf.14/includes/content/ContentHandler.php(693): Hooks::run(string, array)
#3 /srv/mediawiki/php-1.33.0-wmf.14/includes/Title.php(5227): ContentHandler->getPageLanguage(Title)
#4 /srv/mediawiki/php-1.33.0-wmf.14/includes/Title.php(4038): Title->getPageLanguage()
#5 /srv/mediawiki/php-1.33.0-wmf.14/includes/MediaWiki.php(495): Title->getCdnUrls()
#6 /srv/mediawiki/php-1.33.0-wmf.14/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#7 /srv/mediawiki/php-1.33.0-wmf.14/includes/MediaWiki.php(862): MediaWiki->performRequest()
#8 /srv/mediawiki/php-1.33.0-wmf.14/includes/MediaWiki.php(517): MediaWiki->main()
#9 /srv/mediawiki/php-1.33.0-wmf.14/index.php(42): MediaWiki->run()
#10 /srv/mediawiki/w/index.php(3): include(string)
#11 {main}

Impact

New fatal error in production after group0 moved to wmf.14

Notes

Event Timeline

mmodell created this task.Jan 23 2019, 8:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2019, 8:14 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.Jan 23 2019, 8:44 PM

Train blocker.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJan 23 2019, 8:44 PM

train rolled back to group 0 due to ~100 errors per minute, mostly this one.

Change 486167 had a related patch set uploaded (by Jforrester; owner: Nikerabbit):
[mediawiki/extensions/Translate@wmf/1.33.0-wmf.14] Fix fatal error on PageContentLanguage hook subscriber

https://gerrit.wikimedia.org/r/486167

Hot-deploying now. Was waiting, but let's get production unbroken.

Change 486167 merged by jenkins-bot:
[mediawiki/extensions/Translate@wmf/1.33.0-wmf.14] Fix fatal error on PageContentLanguage hook subscriber

https://gerrit.wikimedia.org/r/486167

Mentioned in SAL (#wikimedia-operations) [2019-01-23T23:13:16Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.14/extensions/Translate/TranslateHooks.php: T214517 T214358 Hot-deploy Ic9d85fec1 to un-block train, hopefully (duration: 00m 53s)

Jdforrester-WMF closed this task as Resolved.Jan 24 2019, 12:18 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.

Looks fixed.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM